| Home | Libraries | People | FAQ | More

## Struct pop_front

boost::xpressive::op::pop_front — `pop_front` is a PolymorphicFunctionObject for popping an element from the front of a container.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct pop_front {
      // types
      typedef void result_type;

      // public member functions
      template<typename Sequence> void operator()(Sequence &) const;
    };

## Description

### `pop_front` public member functions

1.     template<typename Sequence> void operator()(Sequence & seq) const;

   Equivalent to `seq.pop_front()`.

   Parameters:

   `seq` | The sequence from which to pop.

   Returns: | `void`